kamunix(8)

NAME
kamunix - Kamailio UNIX socket wrapper

SYNOPSIS
kamunix path_to_socket

DESCRIPTION
kamunix is a wrapper for sending external commands to Kamailio SIP server via UNIX sockets interface.
This is a binary alternative to the textual FIFO interface.

kamunix reads from standard input one Kamailio command along with its parameters (if any) and prints the response to standard output.

PARAMETERS

path_to_socket
    full path of the UNIX socket file used by Kamailio to receive the external commands

EXAMPLES

An Kamailio commands consists in one ore more lines: first contains the command name enclosed between ":", the following lines containing the command parameters, one per line.

echo ":uptime:" | kamunix /tmp/kamailio.sock

AUTHORS
see /usr/share/doc/kamailio/AUTHORS

SEE ALSO
kamailio(8),kamailio.cfg(5),kamctl(8)

Full documentation on Kamailio is available at https://www.kamailio.org/.

Mailing lists:
sr-users@lists.kamailio.org - Kamailio user community
sr-dev@lists.kamailio.org - Kamailio development, new features and unstable version